Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2086333003: [ios] Do not commit invalid URLs during web load. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year ago by Eugene But
Modified:
1 year ago
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[ios] Do not commit invalid URLs during web load. BUG=622183 Committed: https://crrev.com/c2d2b0f2f74dad0bdef196cf1657f0d584cbe3a7 Cr-Commit-Position: refs/heads/master@{#401761}

Patch Set 1 #

Patch Set 2 : Allow invalid URL to be pending but fix it before committing #

Total comments: 3

Messages

Total messages: 12 (3 generated)
Eugene But
Please see the bug for details about this change.
1 year ago (2016-06-22 20:01:24 UTC) #2
kkhorimoto (OOO until July 10)
https://codereview.chromium.org/2086333003/diff/20001/ios/web/web_state/ui/crw_web_controller.mm File ios/web/web_state/ui/crw_web_controller.mm (right): https://codereview.chromium.org/2086333003/diff/20001/ios/web/web_state/ui/crw_web_controller.mm#newcode5106 ios/web/web_state/ui/crw_web_controller.mm:5106: // will be "about:blank". Should we add a DCHECK ...
1 year ago (2016-06-22 22:20:54 UTC) #3
Eugene But
https://codereview.chromium.org/2086333003/diff/20001/ios/web/web_state/ui/crw_web_controller.mm File ios/web/web_state/ui/crw_web_controller.mm (right): https://codereview.chromium.org/2086333003/diff/20001/ios/web/web_state/ui/crw_web_controller.mm#newcode5106 ios/web/web_state/ui/crw_web_controller.mm:5106: // will be "about:blank". On 2016/06/22 22:20:54, kkhorimoto_ wrote: ...
1 year ago (2016-06-22 22:48:25 UTC) #4
kkhorimoto (OOO until July 10)
https://codereview.chromium.org/2086333003/diff/20001/ios/web/web_state/ui/crw_web_controller.mm File ios/web/web_state/ui/crw_web_controller.mm (right): https://codereview.chromium.org/2086333003/diff/20001/ios/web/web_state/ui/crw_web_controller.mm#newcode5106 ios/web/web_state/ui/crw_web_controller.mm:5106: // will be "about:blank". On 2016/06/22 22:48:25, Eugene But ...
1 year ago (2016-06-23 23:06:22 UTC) #5
kkhorimoto (OOO until July 10)
lgtm
1 year ago (2016-06-23 23:24:53 UTC) #6
Eugene But
Thanks!
1 year ago (2016-06-23 23:25:07 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2086333003/20001
1 year ago (2016-06-23 23:25:37 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year ago (2016-06-24 00:49:23 UTC) #10
commit-bot: I haz the power
1 year ago (2016-06-24 00:52:32 UTC) #12
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/c2d2b0f2f74dad0bdef196cf1657f0d584cbe3a7
Cr-Commit-Position: refs/heads/master@{#401761}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589